Bug 1387236 - Templates Smart Proxy API does not pass Hostgroup provisioning - Satellite 6.2.z
Summary: Templates Smart Proxy API does not pass Hostgroup provisioning - Satellite 6.2.z
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning Templates
Version: 6.2.2
Hardware: Unspecified
OS: Unspecified
medium
medium with 2 votes vote
Target Milestone: Unspecified
Assignee: Lukas Zapletal
QA Contact:
URL: http://projects.theforeman.org/issues...
Whiteboard:
Keywords: Triaged
Depends On:
Blocks: 1403238
TreeView+ depends on / blocked
 
Reported: 2016-10-20 12:21 UTC by Lukas Zapletal
Modified: 2019-06-13 21:25 UTC (History)
5 users (show)

(edit)
Clone Of:
: 1403238 (view as bug list)
(edit)
Last Closed: 2017-04-27 15:07:08 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 17045 None None None 2016-10-20 13:06 UTC

Description Lukas Zapletal 2016-10-20 12:21:07 UTC
Templates API does proxy all templates kinds, but it requires URL to be in this form:

/unattended/:kind

In case of hostgroup provisioning, URLs are different:

/unattended/template/XXX/YYY

[lzap@lzapx foreman]$ curl -3 -H "Accept:application/json" -H "Content-Type: application/json" -d '{}' -k -X GET http://localhost:8448/unattended/template
Failed to retrieve template template for {"splat"=>[], "captures"=>["template"], "kind"=>"template"}: Error retrieving template for {:url=>"http://192.168.122.1:8448"} from 127.0.0.1: Net::HTTPNotFound

[lzap@lzapx foreman]$ curl -3 -H "Accept:application/json" -H "Content-Type: application/json" -d '{}' -k -X GET http://localhost:8448/unattended/template/clonetest/test-machines-rhel68

Requested url was not found

Workaround: Configure Satellite for direct access (non-proxied mode).

Comment 1 Bryan Kearney 2016-10-20 14:17:45 UTC
Upstream bug assigned to lzap@redhat.com

Comment 2 Bryan Kearney 2016-10-20 14:17:47 UTC
Upstream bug component is Uncategorized

Comment 3 Bryan Kearney 2016-10-20 14:17:50 UTC
Upstream bug assigned to lzap@redhat.com

Comment 5 Bryan Kearney 2016-12-01 13:16:29 UTC
Upstream bug component is Uncategorized

Comment 6 Bryan Kearney 2016-12-07 13:16:10 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/17045 has been resolved.

Comment 7 Lukas Zapletal 2016-12-09 13:20:07 UTC
Since this is 6.2 and 6.3 bug, I am cloning this one into 6.3 as well.

Comment 9 Mike McCune 2017-04-27 15:07:08 UTC
We are closing this as resolved in the next release as it is fixed in the upcoming rebase of 6.3


Note You need to log in before you can comment on or make changes to this bug.